com.google.gwt.user.client.ui

## Class CaptionPanel.CaptionPanelImpl

- java.lang.Object
- - com.google.gwt.user.client.ui.CaptionPanel.CaptionPanelImpl

Direct Known Subclasses:
  CaptionPanel.CaptionPanelImplMozilla, CaptionPanel.CaptionPanelImplSafari

Enclosing class:
  CaptionPanel

    public static class CaptionPanel.CaptionPanelImpl
    extends java.lang.Object

Implementation class without browser-specific hacks.

### Constructor Summary

Constructors
Constructor and Description
`CaptionPanelImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setCaption(FieldSetElement fieldset, Element legend, SafeHtml caption)`
`void` `setCaption(FieldSetElement fieldset, Element legend, java.lang.String caption, boolean asHTML)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CaptionPanelImpl

    public CaptionPanelImpl()

### Method Detail

#### setCaption

    public void setCaption(FieldSetElement fieldset,
                           Element legend,
                           SafeHtml caption)

#### setCaption

    public void setCaption(FieldSetElement fieldset,
                           Element legend,
                           java.lang.String caption,
                           boolean asHTML)